Bug 242740 - New port: security/honeytrap: modular framework for running, monitoring and managing honeypots
Summary: New port: security/honeytrap: modular framework for running, monitoring and m...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Renato Botelho
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-12-20 13:10 UTC by ezri.mudde
Modified: 2020-02-11 16:02 UTC (History)
1 user (show)

See Also:


Attachments
diff file for new port (19.34 KB, patch)
2019-12-20 13:10 UTC, ezri.mudde
no flags Details | Diff
build log (53.69 KB, text/plain)
2019-12-30 22:05 UTC, Renato Botelho
no flags Details
added patch to circumvent go build version constraint (19.45 KB, patch)
2020-02-04 14:58 UTC, ezri.mudde
no flags Details | Diff
update Makefile to use latest commit (19.66 KB, patch)
2020-02-06 14:16 UTC, ezri.mudde
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ezri.mudde 2019-12-20 13:10:24 UTC
Created attachment 210082 [details]
diff file for new port

HoneyTrap is a modular framework for running, monitoring and managing honeypots.
Using HoneyTrap you can use sensors, high interaction and low
interaction honeypots together, while still using the same event mechanisms.
HoneyTrap consists of services, directors, listeners and channels. It is easy to
build new services, attach existing honeypots and extend channels or directors.
Comment 1 Renato Botelho freebsd_committer 2019-12-30 22:05:35 UTC
Created attachment 210341 [details]
build log

It failed to build on poudriere usin 12.1-RELEASE. Here is the build log.
Comment 2 ezri.mudde 2020-01-10 15:55:13 UTC
(In reply to Renato Botelho from comment #1)
The problem is that the go application can't build with go1.13. I know that it'll build with go1.12 but I can't find a way to change the go version that is used while compiling. Do you know how this might be solved or could you point me in the right direction?
Comment 3 ezri.mudde 2020-02-04 14:58:11 UTC
Created attachment 211344 [details]
added patch to circumvent go build version constraint
Comment 4 ezri.mudde 2020-02-06 14:16:00 UTC
Created attachment 211412 [details]
update Makefile to use latest commit

HoneyTrap was updated while port was submitted, uploaded new port version that uses latest commit
Comment 5 commit-hook freebsd_committer 2020-02-11 15:49:15 UTC
A commit references this bug:

Author: garga
Date: Tue Feb 11 15:48:24 UTC 2020
New revision: 525834
URL: https://svnweb.freebsd.org/changeset/ports/525834

Log:
  New port: security/honeytrap

  HoneyTrap is a modular framework for running, monitoring and managing honeypots.
  Using HoneyTrap you can use sensors, high interaction and low
  interaction honeypots together, while still using the same event mechanisms.
  HoneyTrap consists of services, directors, listeners and channels. It is easy to
  build new services, attach existing honeypots and extend channels or directors.

  PR:		242740
  Submitted by:	ezri.mudde@dutchsec.com

Changes:
  head/GIDs
  head/UIDs
  head/security/Makefile
  head/security/honeytrap/
  head/security/honeytrap/Makefile
  head/security/honeytrap/distinfo
  head/security/honeytrap/files/
  head/security/honeytrap/files/etc/
  head/security/honeytrap/files/etc/honeytrap.toml
  head/security/honeytrap/files/honeytrap.in
  head/security/honeytrap/pkg-descr
Comment 6 Renato Botelho freebsd_committer 2020-02-11 16:02:01 UTC
committed with minor adjustments.  Thanks!